Skip to main content
Nowledge MemNowledge Mem

Install Bge M3

POST
/models/bge-m3/install

Download and install the search embedding model.

The right model for your platform is selected automatically. When the response includes reindex_required=true, run /search-index/reindex to refresh existing searchable content.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request model for search embedding installation.

Response Body

application/json

application/json

curl -X POST "https://example.com/models/bge-m3/install" \  -H "Content-Type: application/json" \  -d '{}'
{  "message": "string",  "reindex_required": true,  "success": true}